## org.eclipse.ocl.expressions.impl
Class ExpressionsFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.ocl.expressions.impl.ExpressionsFactoryImpl

All Implemented Interfaces:
  Notifier, EFactory, EModelElement, EObject, InternalEObject, ExpressionsFactory

    public class ExpressionsFactoryImpl

extends EFactoryImpl
implements ExpressionsFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.ocl.expressions.ExpressionsFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`ExpressionsFactoryImpl()` Creates an instance of the factory

Method Summary
`String` `convertCollectionKindToString(EDataType eDataType, Object instanceValue)`
`String` `convertToString(EDataType eDataType, Object instanceValue)`
`EObject` `create(EClass eClass)`

`

`<C,P> AssociationClassCallExp<C,P>`

`

`createAssociationClassCallExp()`

`

`<C> BooleanLiteralExp<C>`

`

`createBooleanLiteralExp()`

`

`<C> CollectionItem<C>`

`

`createCollectionItem()`

`CollectionKind` `createCollectionKindFromString(EDataType eDataType, String initialValue)`

`

`<C> CollectionLiteralExp<C>`

`

`createCollectionLiteralExp()`

`

`<C> CollectionRange<C>`

`

`createCollectionRange()`

`

`<C,EL> EnumLiteralExp<C,EL>`

`

`createEnumLiteralExp()`

`Object` `createFromString(EDataType eDataType, String initialValue)`

`

`<C> IfExp<C>`

`

`createIfExp()`

`

`<C> IntegerLiteralExp<C>`

`

`createIntegerLiteralExp()`

`

`<C> InvalidLiteralExp<C>`

`

`createInvalidLiteralExp()`

`

`<C,PM> IterateExp<C,PM>`

`

`createIterateExp()`

`

`<C,PM> IteratorExp<C,PM>`

`

`createIteratorExp()`

`

`<C,PM> LetExp<C,PM>`

`

`createLetExp()`

`

`<C,COA,SSA> MessageExp<C,COA,SSA>`

`

`createMessageExp()`

`

`<C> NullLiteralExp<C>`

`

`createNullLiteralExp()`

`

`<C,O> OperationCallExp<C,O>`

`

`createOperationCallExp()`

`

`<C,P> PropertyCallExp<C,P>`

`

`createPropertyCallExp()`

`

`<C> RealLiteralExp<C>`

`

`createRealLiteralExp()`

`

`<C,S> StateExp<C,S>`

`

`createStateExp()`

`

`<C> StringLiteralExp<C>`

`

`createStringLiteralExp()`

`

`<C,P> TupleLiteralExp<C,P>`

`

`createTupleLiteralExp()`

`

`<C,P> TupleLiteralPart<C,P>`

`

`createTupleLiteralPart()`

`

`<C> TypeExp<C>`

`

`createTypeExp()`

`

`<C> UnlimitedNaturalLiteralExp<C>`

`

`createUnlimitedNaturalLiteralExp()`

`

`<C> UnspecifiedValueExp<C>`

`

`createUnspecifiedValueExp()`

`

`<C,PM> Variable<C,PM>`

`

`createVariable()`

`

`<C,PM> VariableExp<C,PM>`

`

`createVariableExp()`

`ExpressionsPackage` `getExpressionsPackage()`
`static ExpressionsPackage` `getPackage()` Deprecated.
`static ExpressionsFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### ExpressionsFactoryImpl

    public ExpressionsFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static ExpressionsFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

  Specified by:
    `create` in interface `EFactory`
  Overrides:
    `create` in class `EFactoryImpl`

### createFromString

    public Object createFromString(EDataType eDataType,
                                   String initialValue)

  Specified by:
    `createFromString` in interface `EFactory`
  Overrides:
    `createFromString` in class `EFactoryImpl`

### convertToString

    public String convertToString(EDataType eDataType,
                                  Object instanceValue)

  Specified by:
    `convertToString` in interface `EFactory`
  Overrides:
    `convertToString` in class `EFactoryImpl`

### createAssociationClassCallExp

    public <C,P> AssociationClassCallExp<C,P> createAssociationClassCallExp()

  Specified by:
    `createAssociationClassCallExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Association Class Call Exp'.

### createBooleanLiteralExp

    public <C> BooleanLiteralExp<C> createBooleanLiteralExp()

  Specified by:
    `createBooleanLiteralExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Boolean Literal Exp'.

### createCollectionItem

    public <C> CollectionItem<C> createCollectionItem()

  Specified by:
    `createCollectionItem` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Collection Item'.

### createCollectionLiteralExp

    public <C> CollectionLiteralExp<C> createCollectionLiteralExp()

  Specified by:
    `createCollectionLiteralExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Collection Literal Exp'.

### createCollectionRange

    public <C> CollectionRange<C> createCollectionRange()

  Specified by:
    `createCollectionRange` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Collection Range'.

### createEnumLiteralExp

    public <C,EL> EnumLiteralExp<C,EL> createEnumLiteralExp()

  Specified by:
    `createEnumLiteralExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Enum Literal Exp'.

### createIfExp

    public <C> IfExp<C> createIfExp()

  Specified by:
    `createIfExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'If Exp'.

### createIntegerLiteralExp

    public <C> IntegerLiteralExp<C> createIntegerLiteralExp()

  Specified by:
    `createIntegerLiteralExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Integer Literal Exp'.

### createUnlimitedNaturalLiteralExp

    public <C> UnlimitedNaturalLiteralExp<C> createUnlimitedNaturalLiteralExp()

  Specified by:
    `createUnlimitedNaturalLiteralExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Unlimited Natural Literal Exp'.

### createInvalidLiteralExp

    public <C> InvalidLiteralExp<C> createInvalidLiteralExp()

  Specified by:
    `createInvalidLiteralExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Invalid Literal Exp'.

### createIterateExp

    public <C,PM> IterateExp<C,PM> createIterateExp()

  Specified by:
    `createIterateExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Iterate Exp'.

### createIteratorExp

    public <C,PM> IteratorExp<C,PM> createIteratorExp()

  Specified by:
    `createIteratorExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Iterator Exp'.

### createLetExp

    public <C,PM> LetExp<C,PM> createLetExp()

  Specified by:
    `createLetExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Let Exp'.

### createMessageExp

    public <C,COA,SSA> MessageExp<C,COA,SSA> createMessageExp()

  Specified by:
    `createMessageExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Message Exp'.

### createNullLiteralExp

    public <C> NullLiteralExp<C> createNullLiteralExp()

  Specified by:
    `createNullLiteralExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Null Literal Exp'.

### createOperationCallExp

    public <C,O> OperationCallExp<C,O> createOperationCallExp()

  Specified by:
    `createOperationCallExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Operation Call Exp'.

### createPropertyCallExp

    public <C,P> PropertyCallExp<C,P> createPropertyCallExp()

  Specified by:
    `createPropertyCallExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Property Call Exp'.

### createRealLiteralExp

    public <C> RealLiteralExp<C> createRealLiteralExp()

  Specified by:
    `createRealLiteralExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Real Literal Exp'.

### createStateExp

    public <C,S> StateExp<C,S> createStateExp()

  Specified by:
    `createStateExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'State Exp'.

### createStringLiteralExp

    public <C> StringLiteralExp<C> createStringLiteralExp()

  Specified by:
    `createStringLiteralExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'String Literal Exp'.

### createTupleLiteralExp

    public <C,P> TupleLiteralExp<C,P> createTupleLiteralExp()

  Specified by:
    `createTupleLiteralExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Tuple Literal Exp'.

### createTupleLiteralPart

    public <C,P> TupleLiteralPart<C,P> createTupleLiteralPart()

  Specified by:
    `createTupleLiteralPart` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Tuple Literal Part'.

### createTypeExp

    public <C> TypeExp<C> createTypeExp()

  Specified by:
    `createTypeExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Type Exp'.

### createUnspecifiedValueExp

    public <C> UnspecifiedValueExp<C> createUnspecifiedValueExp()

  Specified by:
    `createUnspecifiedValueExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Unspecified Value Exp'.

### createVariable

    public <C,PM> Variable<C,PM> createVariable()

  Specified by:
    `createVariable` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Variable'.

### createVariableExp

    public <C,PM> VariableExp<C,PM> createVariableExp()

  Specified by:
    `createVariableExp` in interface `ExpressionsFactory`
  Returns:
    a new object of class 'Variable Exp'.

### createCollectionKindFromString

    public CollectionKind createCollectionKindFromString(EDataType eDataType,
                                                         String initialValue)

### convertCollectionKindToString

    public String convertCollectionKindToString(EDataType eDataType,
                                                Object instanceValue)

### getExpressionsPackage

    public ExpressionsPackage getExpressionsPackage()

  Specified by:
    `getExpressionsPackage` in interface `ExpressionsFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static ExpressionsPackage getPackage()

  Deprecated.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.